#!/usr/bin/python

import sys
import getopt
import os

def usage():
    print "Usage: late.py [OPTION] FILE points"
    print "If 'LATE' appears in FILE, print 0 and an error message."
    print "If not, print points and success."
    print 
    print "Exit 1 on erorr."
    print
    print "--alt-name=name\tA string to search for instead of 'LATE'"
    sys.exit(2)

def defaults():
    print "Ontime Test"
    print "one"
    print "*"
    usage()


try:
    opts, args = getopt.getopt(sys.argv[1:], "", ["help", "defaults",
                                                  "alt-name="])

    
except getopt.GetoptError:
    # print help information and exit:
    usage()
    sys.exit(0)

token = "LATE"

for o, a in opts:
    if o == "--help":
        usage()
    if o == "--defaults":
        defaults()

    try:        
        if o == "--alt-name":
            token = a

    except:
        usage()

try:
    if token in sys.argv[-2]:
        print "0"
        print "Submission was late."
        sys.exit(0)
    
except IndexError:
    sys.exit(1)

try:
    points = float(sys.argv[-1])
except ValueError:
    sys.exit(1)

print points
print "On-time submission."
sys.exit(0)
